Module java.xml
Package org.w3c.dom.ranges

# Interface DocumentRange

public interface DocumentRange

See also the Document Object Model (DOM) Level 2 Traversal and Range Specification.

Since:
  9, DOM Level 2

## Method Summary

Modifier and Type
Method
Description
`Range`
`createRange()`
This interface can be obtained from the object implementing the `Document` interface using binding-specific casting methods.

## Method Details

### createRange

Range createRange()
This interface can be obtained from the object implementing the `Document` interface using binding-specific casting methods.

Returns:
  The initial state of the Range returned from this method is such that both of its boundary-points are positioned at the beginning of the corresponding Document, before any content. The Range returned can only be used to select content associated with this Document, or with DocumentFragments and Attrs for which this Document is the `ownerDocument`.